Overview
| Comment: | Adjust objfw-compile output to look like the output from buildsys. |
|---|---|
| Downloads: | Tarball | ZIP archive | SQL archive |
| Timelines: | family | ancestors | descendants | both | trunk |
| Files: | files | file ages | folders |
| SHA3-256: |
74593c34f1cc824968202fef71ed17f9 |
| User & Date: | js on 2010-04-18 00:00:00 |
| Other Links: | manifest | tags |
Context
|
2010-04-18
| ||
| 00:08 | Require overriding of -[applicationDidFinishLaunching]. (check-in: 400552fa28 user: js tags: trunk) | |
| 00:00 | Adjust objfw-compile output to look like the output from buildsys. (check-in: 74593c34f1 user: js tags: trunk) | |
|
2010-04-17
| ||
| 23:08 | Fix a typo in the tests Makefile. (check-in: cb6fc642c6 user: js tags: trunk) | |
Changes
Modified objfw-compile from [4e093bb57d] to [f4f00bf2af].
| ︙ | ︙ | |||
10 11 12 13 14 15 16 17 18 19 20 21 22 23 | LIBS="$LIBS $(objfw-config --libs)" LDFLAGS="$LDFLAGS $(objfw-config --ldflags)" if test x"$1" = "x" -o x"$2" = "x"; then echo "Syntax: objfw-compile outname source1.m source2.m ..." exit 1 fi out="$1" objs="" link="no" shift case "$out" in | > > > > > > > > > > > > > > > > > > > > > > > > > | 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 |
LIBS="$LIBS $(objfw-config --libs)"
LDFLAGS="$LDFLAGS $(objfw-config --ldflags)"
if test x"$1" = "x" -o x"$2" = "x"; then
echo "Syntax: objfw-compile outname source1.m source2.m ..."
exit 1
fi
status_compiling() {
printf "\033[K\033[0;33mCompiling \033[1;33m$1\033[0;33m...\033[0m\r"
}
status_compiled() {
printf "\033[K\033[0;32mSuccessfully compiled \033[1;32m$1\033[0;32m."
printf "\033[0m\n"
}
status_compile_failed() {
printf "\033[K\033[0;31mFailed to compile \033[1;31m$1\033[0;31m!"
printf "\033[0m\n"
exit $2
}
status_linking() {
printf "\033[K\033[0;33mLinking \033[1;33m$1\033[0;33m...\033[0m\r"
}
status_linked() {
printf "\033[K\033[0;32mSuccessfully linked \033[1;32m$1\033[0;32m."
printf "\033[0m\n"
}
status_link_failed() {
printf "\033[K\033[0;31mFailed to link \033[1;31m$1\033[0;31m!"
printf "\033[0m\n"
exit $2
}
out="$1"
objs=""
link="no"
shift
case "$out" in
|
| ︙ | ︙ | |||
42 43 44 45 46 47 48 | done else build="yes" fi if test x"$build" = x"yes"; then link="yes" | | > | | | | > < < | 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 | done else build="yes" fi if test x"$build" = x"yes"; then link="yes" status_compiling $1 $OBJC $CPPFLAGS $OBJCFLAGS -c -o $obj $1 || \ status_compile_failed $1 $? status_compiled $1 fi ;; *) echo "Only .m files can be compiled!" 1>&2 exit 1 ;; esac shift done if test ! -f "$out" -o x"$link" = x"yes"; then status_linking $out $OBJC -o $out $objs $LIBS $ENV_LIBS $LDFLAGS $ENV_LDFLAGS || \ status_link_failed $out $? status_linked $out fi |